package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.scene.SceneGeneralTemplateParam;
import api.common.pojo.po.scene.SceneGeneralTemplatePO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SceneGeneralTemplateMapper {

    void saveSceneGeneralTemplateAll(List<SceneGeneralTemplatePO> list);
    void saveSceneGeneralTemplate(SceneGeneralTemplatePO po);
    List<SceneGeneralTemplatePO> querySceneGeneralTemplateList(SceneGeneralTemplateParam params);
    SceneGeneralTemplatePO querySceneGeneralTemplateById(String id);
    void deleteSceneGeneralTemplateAll(SceneGeneralTemplatePO po);
    void deleteSceneGeneralTemplateByScendId(SceneGeneralTemplatePO po);
    List<String> queryType( );

    List<SceneGeneralTemplatePO> querySceneGeneralTemplateListByQx(SceneGeneralTemplateParam params);

    SceneGeneralTemplatePO querySceneGeneralTemplateByName(SceneGeneralTemplatePO sceneGeneralTemplatePO);
    void updateSceneGeneralTemplate(SceneGeneralTemplatePO po);
    //根据名称查询所有场景id
    List<String> queryIdBySceneId( String  sceneId);
}
